Debian Bug report logs - #467890
liblwpx-paranoidagent-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: liblwpx-paranoidagent-perl; Maintainer for liblwpx-paranoidagent-perl is Hilko Bengen <bengen@debian.org>; Source for liblwpx-paranoidagent-perl is src:liblwpx-paranoidagent-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:24:15 UTC

Severity: important

Tags: patch

Found in version liblwpx-paranoidagent-perl/1.03-1

Fixed in version liblwpx-paranoidagent-perl/1.03-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Hilko Bengen <bengen@debian.org>:
Bug#467890; Package liblwpx-paranoidagent-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Hilko Bengen <bengen@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: liblwpx-paranoidagent-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:20 +0200
Package: liblwpx-paranoidagent-perl
Version: 1.03-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Hilko Bengen <bengen@debian.org>:
Bug#467890; Package liblwpx-paranoidagent-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Hilko Bengen <bengen@debian.org>. Full text and rfc822 format available.

Message #10 received at 467890@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467890@bugs.debian.org
Subject: liblwpx-paranoidagent-perl: diff for NMU version 1.03-1.1
Date: Sat, 5 Apr 2008 23:10:44 +0100
[Message part 1 (text/plain, inline)]
tags 467890 + patch
thanks

Hi,

Attached is the diff for my liblwpx-paranoidagent-perl 1.03-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[liblwpx-paranoidagent-perl-1.03-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 22:12:11 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467890-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467890-close@bugs.debian.org
Subject: Bug#467890: fixed in liblwpx-paranoidagent-perl 1.03-1.1
Date: Sat, 05 Apr 2008 22:17:30 +0000
Source: liblwpx-paranoidagent-perl
Source-Version: 1.03-1.1

We believe that the bug you reported is fixed in the latest version of
liblwpx-paranoidagent-perl, which is due to be installed in the Debian FTP archive:

liblwpx-paranoidagent-perl_1.03-1.1.diff.gz
  to pool/main/libl/liblwpx-paranoidagent-perl/liblwpx-paranoidagent-perl_1.03-1.1.diff.gz
liblwpx-paranoidagent-perl_1.03-1.1.dsc
  to pool/main/libl/liblwpx-paranoidagent-perl/liblwpx-paranoidagent-perl_1.03-1.1.dsc
liblwpx-paranoidagent-perl_1.03-1.1_all.deb
  to pool/main/libl/liblwpx-paranoidagent-perl/liblwpx-paranoidagent-perl_1.03-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467890@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated liblwpx-paranoidagent-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:09:10 +0100
Source: liblwpx-paranoidagent-perl
Binary: liblwpx-paranoidagent-perl
Architecture: source all
Version: 1.03-1.1
Distribution: unstable
Urgency: low
Maintainer: Hilko Bengen <bengen@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 liblwpx-paranoidagent-perl - a "paranoid" subclass of LWP::UserAgent
Closes: 467890
Changes: 
 liblwpx-paranoidagent-perl (1.03-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467890
Files: 
 3fbc27927adf2611a859d5455aa8529e 675 perl optional liblwpx-paranoidagent-perl_1.03-1.1.dsc
 35abf2aa6be46b7e154ee215e6a1d4b2 2048 perl optional liblwpx-paranoidagent-perl_1.03-1.1.diff.gz
 46b36b05959b8a26bbcc3a8f415ac460 17638 perl optional liblwpx-paranoidagent-perl_1.03-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9/P1NIW6CNDsByMRAnUZAJ436wfKCUvJX4+arzcxOrKUmyUeeQCg1bgS
UUvigj5MeT3ar5Mx3H+DUrA=
=8e6P
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:54:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:47:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.